//package com.pokkt.plugin.common;

import android.content.Context;

import com.app.pokktsdk.delegates.OfferwallCampaignDelegate;
//import com.pokkt.plugin.PokktNativeExtension;

public class PokktOfferwallDelegate implements OfferwallCampaignDelegate {

    @Override
    public void earnedCoins(int coins) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.COIN_RESPONSE_EVENT, String.valueOf(coins));
    }

    @Override
    public void earnedCoins(int coins, String transaction_id) {
        String value = coins + "," + transaction_id;
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.COIN_RESPONSE_WITH_TRANS_ID_EVENT, value);
    }

    @Override
    public void requestFailed(String message) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.COIN_RESPONSE_FAILED_EVENT, "0");
    }

    @Override
    public void onOfferwallCampaignCheck(Context context, boolean campaignsAvailable) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.CAMPAIGN_AVAILABILITY_EVENT, (campaignsAvailable ? "true" : "false"));
    }

    @Override
    public void onOfferwallClosed(Context context) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.OFFERWALL_CLOSED_EVENT, "");
    }
}
